org.apache.ignite.internal.client

## Interface GridClientFutureListener<R>

    public interface GridClientFutureListener<R>

Listener interface for `GridClientFuture`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDone(GridClientFuture<R> fut)` This method will be called when the future completes.

### Method Detail

#### onDone

    void onDone(GridClientFuture<R> fut)

This method will be called when the future completes.

Parameters:
  `fut` - Completed future.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019